#include<iostream>
using namespace std;   //½ΗΉΘ²ΒΟλ
void dg(int n){
    cout<<n<<endl;
    if(n==1){
        return;
    }
    if(n%2==0){
        dg(n/2);
    }else{
        dg(n*3+1);
    }    
}
int main()
{
	int n;
    cin>>n;
    dg(n);
} 